WordType (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.cn.smart.WordType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.cn.smart
Class WordType

    java.lang.Object
      org.apache.lucene.analysis.cn.smart.WordType

    public class WordType

extends Object

Internal SmartChineseAnalyzer token type constants

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`static int` | `CHINESE_WORD` Chinese Word
`static int` | `DELIMITER` Punctuation Symbol
`static int` | `FULLWIDTH_NUMBER` Full-Width Alphanumeric
`static int` | `FULLWIDTH_STRING` Full-Width String
`static int` | `NUMBER` ASCII Alphanumeric
`static int` | `SENTENCE_BEGIN` Start of a Sentence
`static int` | `SENTENCE_END` End of a Sentence
`static int` | `STRING` ASCII String

Constructor Summary
`WordType()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SENTENCE_BEGIN

    public static final int SENTENCE_BEGIN

  Start of a Sentence

  See Also:
    Constant Field Values

### SENTENCE_END

    public static final int SENTENCE_END

  End of a Sentence

  See Also:
    Constant Field Values

### CHINESE_WORD

    public static final int CHINESE_WORD

  Chinese Word

  See Also:
    Constant Field Values

### STRING

    public static final int STRING

  ASCII String

  See Also:
    Constant Field Values

### NUMBER

    public static final int NUMBER

  ASCII Alphanumeric

  See Also:
    Constant Field Values

### DELIMITER

    public static final int DELIMITER

  Punctuation Symbol

  See Also:
    Constant Field Values

### FULLWIDTH_STRING

    public static final int FULLWIDTH_STRING

  Full-Width String

  See Also:
    Constant Field Values

### FULLWIDTH_NUMBER

    public static final int FULLWIDTH_NUMBER

  Full-Width Alphanumeric

  See Also:
    Constant Field Values

Constructor Detail

### WordType

    public WordType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD